"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

/*
 * The typography values for Devanagari and Gurmukhi characters are identical
 */
var devanagariAndGurmukhiTypography = {
  canon: {
    groupA: {
      fontSize: '28',
      lineHeight: '36'
    },
    groupB: {
      fontSize: '36',
      lineHeight: '46'
    },
    groupD: {
      fontSize: '44',
      lineHeight: '58'
    }
  },
  trafalgar: {
    groupA: {
      fontSize: '20',
      lineHeight: '30'
    },
    groupB: {
      fontSize: '24',
      lineHeight: '36'
    },
    groupD: {
      fontSize: '32',
      lineHeight: '44'
    }
  },
  paragon: {
    groupA: {
      fontSize: '20',
      lineHeight: '30'
    },
    groupB: {
      fontSize: '22',
      lineHeight: '32'
    },
    groupD: {
      fontSize: '28',
      lineHeight: '42'
    }
  },
  doublePica: {
    groupA: {
      fontSize: '20',
      lineHeight: '30'
    },
    groupB: {
      fontSize: '20',
      lineHeight: '30'
    },
    groupD: {
      fontSize: '24',
      lineHeight: '32'
    }
  },
  greatPrimer: {
    groupA: {
      fontSize: '18',
      lineHeight: '26'
    },
    groupB: {
      fontSize: '18',
      lineHeight: '26'
    },
    groupD: {
      fontSize: '20',
      lineHeight: '28'
    }
  },
  bodyCopy: {
    groupA: {
      fontSize: '15',
      lineHeight: '22'
    },
    groupB: {
      fontSize: '16',
      lineHeight: '24'
    },
    groupD: {
      fontSize: '18',
      lineHeight: '26'
    }
  },
  pica: {
    groupA: {
      fontSize: '15',
      lineHeight: '22'
    },
    groupB: {
      fontSize: '16',
      lineHeight: '24'
    },
    groupD: {
      fontSize: '18',
      lineHeight: '26'
    }
  },
  longPrimer: {
    groupA: {
      fontSize: '15',
      lineHeight: '21'
    },
    groupB: {
      fontSize: '15',
      lineHeight: '21'
    },
    groupD: {
      fontSize: '16',
      lineHeight: '22'
    }
  },
  brevier: {
    groupA: {
      fontSize: '14',
      lineHeight: '20'
    },
    groupB: {
      fontSize: '14',
      lineHeight: '20'
    },
    groupD: {
      fontSize: '14',
      lineHeight: '18'
    }
  },
  minion: {
    groupA: {
      fontSize: '12',
      lineHeight: '16'
    },
    groupB: {
      fontSize: '12',
      lineHeight: '16'
    },
    groupD: {
      fontSize: '14',
      lineHeight: '18'
    }
  }
};
var _default = devanagariAndGurmukhiTypography;
exports["default"] = _default;